<?php

require_once('config.php');
require_login();

print_header("MyTunes - Add To Playlist");

// Determine where to send user
$referer = get_referer(true);
$referer = nvl($referer, "$CFG->wwwroot");

// Require a POST form
if (!isset($_POST))
	redirect($referer, "Invalid request", 3, "red");

// We must have a selected playlist
if (!isset($_POST['playlist']) || $_POST['playlist'] == -1)
	redirect($referer, "Invalid request", 3, "red");

$playlist = get_record('playlist', array('id' => $_POST['playlist']));
if (!$playlist || $playlist->userid != $USER->id)
	redirect($referer, "Invalid Playlist", 3, "red");
$title = stripslashes($playlist->title);

foreach (array_keys($_POST) as $key) {
	if (strncmp("song", $key, 4) == 0) {
		if ($_POST[$key]) {
			$id = substr($key, 4);
			// Verify that the song exists
			$song = get_record("song", array('song_id' => $id));
			if (!$song) {
				notify("Failed to lookup song with ID $id", "lightred");
			} else {
				$songTitle = stripslashes($song->song);
				$item = get_record("playlist_item", array('playlist_id' => $playlist->id, 'filename' => $song->filename));
				if ($item) {
					notify("Song '$songTitle' already in '$title' playlist.", "lightred");
				} else {
					$item = new object;
					$item->playlist_id = $playlist->id;
					$item->filename = $song->filename;
					if (insert_record("playlist_item", $item)) {
						notify("Added '$songTitle' to '$title' playlist.", "green");
					} else {
						notify("Failed to add '$songTitle' to '$title' playlist.", "lightred");
					}
				}
			}
		}
	}
}

redirect($referer, "Your selections were processed.", 10, "darkgray");

?>