<?php
require_once 'config.php';

print_header("My Tunes - Albums");
require_login();

quick_links("album", "album", strip_query(me()));

// Determine what (if any) filters are needed
$filter = "";

if (isset($_GET['letter']))
	$filter["LEFT(album,1)"] = stripslashes(urldecode($_GET['letter']));
if (isset($_GET['artist_id']))
	$filter['artist_id'] = $_GET['artist_id'];
	
// Define number of records per page (or use value set by config.php)
$recs_per_page = nvl($CFG->recsperpage,30);
$max_page = ceil(count_records("album", $filter) / $recs_per_page);

$curr_page = nvl($_GET['page'], 1);
$curr_page = ($curr_page < 1 ? 1 : ($curr_page > $max_page ? $max_page : $curr_page));

$first_rec = (($curr_page - 1) * $recs_per_page);
$records = get_records("album", $filter, "album", "album_id,artist_id,album", $first_rec, $recs_per_page);

// Output the records in a table now
?>
<br/><br/>
<table border="1">
<tr><th align="center">Artist/Performer</th><th>Album/CD</th><th>No. of Songs</th></tr>
<?php

$artists = array();

foreach ($records as $rec) {
	
	// If artist is not cached, fetch it from the database
	if (!array_key_exists($rec->artist_id, $artists))
		$artists[$rec->artist_id] = get_record("artist", array("artist_id" => $rec->artist_id));
	
	// Pull count of songs on the album (and create link)	
	$song_count = count_records("song", array("album_id" => $rec->album_id));
	if ($song_count > 0)
		$song_count = "<a href=\"$CFG->wwwroot/songs.php?album_id=$rec->album_id\">$song_count</a>";
	
	// Create link to the albums by this artist
	if ($artists[$rec->artist_id])
		$artist = "<a href=\"$CFG->wwwroot/albums.php?artist_id=$rec->artist_id\">" .
				s($artists[$rec->artist_id]->artist) . "</a>";
	else
		$artist = "";

	// Create link to the songs on the album
	if (trim($rec->album))
		$album = "<a href=\"$CFG->wwwroot/songs.php?album_id=$rec->album_id\">" .
				s($rec->album) . "</a>";
	else
		$album = "&nbsp;";

	// Display album information now
?>	
<tr>
 <td align="left"><?php echo $artist; ?></td>
 <td align="left"><?php echo $album; ?></td>
 <td align="right"><?php echo $song_count ?></td>
</tr>
<?php
}

// Calculate and display paging links as needed
if ($max_page > 1) {
	$link = strip_query(me()) . (isset($_GET['letter']) ? "?letter=".$_GET['letter']."&" : "?");
	show_page_links($curr_page, $max_page, $link . "page=".($curr_page-1), $link . "page=".($curr_page+1), 3);
}

echo "</table>\n";
print_footer();
?>