<?php
require_once 'config.php';

print_header("My Tunes - Artists");
require_login();

quick_links("artist", "artist", strip_query(me()));

// Determine what (if any) filters are active
$filter = "";
if (isset($_GET['letter']))
	$filter["LEFT(artist,1)"] = stripslashes(urldecode($_GET['letter']));

// Define number of records per page (or use value set by config.php)
$recs_per_page = nvl($CFG->recsperpage,30);
$max_page = ceil(count_records("artist", $filter) / $recs_per_page);

$curr_page = nvl($_GET['page'], 1);
$curr_page = ($curr_page < 1 ? 1 : ($curr_page > $max_page ? $max_page : $curr_page));

$first_rec = (($curr_page - 1) * $recs_per_page);
$records = get_records("artist", $filter, "artist", "artist_id,artist", $first_rec, $recs_per_page);

// Output the records in a table now
?>
<br/><br/>
<table border="1">
<tr><th align="center">Artist/Performer</th><th>No. of Albums</th><th>No. of Songs</th></tr>
<?php
foreach ($records as $rec) {

	// Pull count of albums by artist (and create link)	
	$album_count = count_records("album", array("artist_id" => $rec->artist_id));
	if ($album_count > 0)
		$album_count = "<a href=\"$CFG->wwwroot/albums.php?artist_id=$rec->artist_id\">$album_count</a>";
	
	// Pull count of songs by artist (and create link)
	$song_count = count_records("song", array("artist_id" => $rec->artist_id));
	if ($song_count > 0)
		$song_count = "<a href=\"$CFG->wwwroot/songs.php?artist_id=$rec->artist_id\">$song_count</a>";

	// Display artist information now
?>
<tr>
 <td align="left">
 <?php p($rec->artist); ?>
 </td>
 <td align="right"><?php echo $album_count; ?></td>
 <td align="right"><?php echo $song_count; ?></td>
</tr>
<?php
}

// Calculate and display paging links as needed
if ($max_page > 1) {
	$link = strip_query(me()) . (isset($_GET['letter']) ? "?letter=".$_GET['letter']."&" : "?");
	show_page_links($curr_page, $max_page, $link . "page=".($curr_page-1), $link . "page=".($curr_page+1), 3);
}

echo "</table>\n";
print_footer();
?>