<?php
/*
 * Project: MyTunes
 * File: deleteplaylist.php
 * Created on Nov 18, 2006
 * Created by Randy
 */

require_once("config.php");

require_login();

print_header("MyTunes - Delete Playlist");

$redirect = "$CFG->wwwroot/playlists.php";
$form = Form::load();

if ($form) {
	if ($form->process()) {
		$filter = array(
			"userid" => $USER->id,
			"id" => $form->getField("id")->value
		);
		$playlist = get_record("playlist", $filter);
		if ($playlist) {
			if (delete_records("playlist", $filter))
				redirect($redirect, "Playlist '".s($playlist->title)."' deleted.", 3, "green");
			else
				redirect($redirect, "An error occurred while deleting the playlist named ".s($playlist->title).".", 5, "red");
		} else {
			redirect($redirect, "Error: Cannot find playlist with id '".$form->getField("id")->value."'.", 5, "red");
		}
	} else {
		redirect($redirect, "The playlist was not deleted.", 2, "green");
	}
}

if (isset($_GET["id"])) {
	$filter = array(
		"userid" => $USER->id,
		"id" => $_GET["id"]
	);
	$playlist = get_record("playlist", $filter);
	if ($playlist) {
		$msg = "<p>Are you sure you want to delete the playlist named ".stripslashes($playlist->title)."?</p>";
		$form = new ConfirmDeleteForm("Delete Playlist", $msg, $_GET["id"]);
		$form->display();
	} else {
		redirect($redirect, "Error: Invalid request.", 5, "red");
	}
} else {
	redirect($redirect, "Error: Invalid request.", 5, "red");
}

print_footer();
?>