<?php
/*
 * Project: MyTunes
 * File: LoginForm.php
 * Created on Sep 18, 2006
 * Created by Randy
 */

class LoginForm extends Form
{
	public function __construct()
	{
		global $CFG;
		
		$username = new TextField("username", "User Name");
		$password = new PasswordField("password", "Password");
		$remember = new CheckboxField("remember", "Remember Me", 1);
		$lastPage = get_referer();
		$referer = new HiddenField("referer", ($lastPage != full_me() ? $lastPage : "$CFG->wwwroot"));
		$language = new Listbox("language", "Language", array("Spanish", "French", "German", "English"));
		$colorScheme = new Listbox("colorScheme", "Color Scheme",
			array( "blue" => "Standard Blue", "red" => "Bright Red",  "bw" => "Black & White"));
		 
		$username->validator = new RequiredValidator();
		$password->validator = new RequiredValidator();

		$fields = array( $username, $password, $remember, $language, $colorScheme, $referer );
		
		$submit = new ImageButton("login", "$CFG->wwwroot/images/Login1.png", "Login", true);
		$submit->onClick = "return validateLoginForm()";
		
		parent::__construct("Please Login", get_class($this), full_me(), $fields, $submit);
	}
	
	protected function formStart($style)
	{
?>
<script type="text/javascript">
<!--
function setFocusDelayed() {
	global_focus.focus();
}
function validateLoginForm() {
	theform = document.forms['<?php echo get_class($this) ?>'];
	if(theform.elements['username'].value == '') {
		alert("Please enter your username");
		global_focus = theform.elements['username'];
		setTimeout('setFocusDelayed()', 100);
		return false;
	}
	if(theform.elements['password'].value == '') {
		alert("Please enter your password");
		global_focus = theform.elements['password'];
		setTimeout('setFocusDelayed()', 100);
		return false;
	}
	return true;
}
-->
</script>
<?php
		parent::formStart($style);
	}
	
	protected function formFooter($style)
	{
?>
<tr>
  <td align="center" colspan="2"><a href="register.php">Register Account</a> | <a href="lostpassword.php">Lost Password</a></td>
</tr>
<?php
		parent::formFooter($style);	
	}
	
	public function process()
	{
		global $CFG, $USER;
	
		$md5password = $this->getField("password")->encrypted();
		
		$user = get_record("users", "username", $this->getField("username")->value, "password", $md5password);
		if( $user ) {
			$USER->id = $user->id;
			$USER->username = $user->username;
			$USER->first_name = $user->first_name;
			$USER->last_name = $user->last_name;
			$USER->email = $user->email;
			return true;
		} else {
			return false;
		}
	}
}

?>
