<?php
/*
 * Project: MyTunes
 * File: NewPlaylistForm.php
 * Created on Nov 17, 2006
 * Created by Randy
 */

class NewPlaylistForm extends Form
{
	public function __construct()
	{
		parent::__construct(
			"Create New Playlist",
			get_class($this),
			full_me(),
			new TextField("listName", "Name", "", "text", 40, 20),
			new Button("submit", "Create")
		);
		$this->getField("listName")->validator = new RequiredValidator();
	}
	
	public function process()
	{
		global $USER;
		
		$listNameFld = $this->getField("listName");
		
		$filter = array("userid" => $USER->id, "title" => $listNameFld->value);
		$record = get_record("playlist", $filter);
		if ($record) {
			notify("You already have a list named '" . s($listNameFld->value) . "'");
			return;
		}
		
		$playlist = new object;
		$playlist->userid = $USER->id;
		$playlist->title = $listNameFld->value;
		if (!insert_record("playlist", $playlist))
			notify("Failed to create new list named '" . s($listNameFld->value). "'");
		else
			notify("Successfully created playlist named " . s($listNameFld->value). ".", "green");
	}
}  

?>
