<?php
/*
 * Project: MyTunes
 * File: RegisterForm.php
 * Created on Sep 21, 2006
 * Created by Randy
 */

class RegisterForm extends Form
{
	public function __construct()
	{
		$fields[] = new TextField("username", "Desired Username");
		$fields[0]->validator = new RequiredValidator();
		
		$fields[] = new TextField("first_name", "First Name");
		$fields[1]->validator = new RequiredValidator();
		
		$fields[] = new TextField("last_name", "Last Name");
		$fields[2]->validator = new RequiredValidator();
		
		$fields[] = new TextField("email", "E-mail Address");
		$fields[3]->validator = new EmailValidator();
		
		$fields[] = new PasswordField("password1", "Password");
		$fields[4]->validator = new RequiredValidator();
		
		$fields[] = new PasswordField("password2", "Confirm Password");
		$fields[5]->validator = new CompareFieldsValidator($fields[4]);
		
		$submit = new Button("submit", "Register");
		$submit->onClick = "return validateRegisterForm()";
		
		parent::__construct("Register New Account", get_class($this), full_me(), $fields, $submit);
	}
	
	protected function formStart($style)
	{
?>

<script type="text/javascript">
<!--
function setFocusDelayed() {
	global_focus.focus();
}
function validateRegisterForm() {
	theform = document.forms['<?php echo get_class($this) ?>'];
	if(theform.elements['username'].value == '') {
		alert("Please enter your desired username");
		global_focus = theform.elements['username'];
		setTimeout('setFocusDelayed()', 100);
		return false;
	}
	if(theform.elements['first_name'].value == '') {
		alert("Please enter your first name");
		global_focus = theform.elements['first_name'];
		setTimeout('setFocusDelayed()', 100);
		return false;
	}
	if(theform.elements['last_name'].value == '') {
		alert("Please enter your last name");
		global_focus = theform.elements['last_name'];
		setTimeout('setFocusDelayed()', 100);
		return false;
	}
	if(theform.elements['email'].value == '') {
		alert("Please enter your e-mail address");
		global_focus = theform.elements['email'];
		setTimeout('setFocusDelayed()', 100);
		return false;
	}
	if(theform.elements['password1'].value == '') {
		alert("Please enter your password");
		global_focus = theform.elements['password1'];
		setTimeout('setFocusDelayed()', 100);
		return false;
	}
	if(theform.elements['password2'].value == '') {
		alert("Please confirm your password");
		global_focus = theform.elements['password2'];
		setTimeout('setFocusDelayed()', 100);
		return false;
	}
	if(theform.elements['password1'].value != theform.elements['password2'].value) {
		alert("The passwords you entered do not match.  Please correct.");
		global_focus = theform.elements['password1'];
		setTimeout('setFocusDelayed()', 100);
		return false;
	}
	return true;
}
-->
</script>
<?php
		parent::formStart($style);
	}

	public function process()
	{
		global $CFG, $USER;
	
		if( $this->isValid() ) {
			$user = new object;
			
			$user->username = $this->getField("username")->value;
			$user->first_name = $this->getField("first_name")->value;
			$user->last_name = $this->getField("last_name")->value;
			$user->email = $this->getField("email")->value;
			$user->password = $this->getField("password1")->encrypted();
			
			$id = insert_record("users", $user, true);
			if( $id ) {
				$USER->id = $id;
				$USER->first_name = $user->first_name;
				$USER->last_name = $user->last_name;
				$USER->email = $user->email;
				redirect("$CFG->wwwroot/", "Welcome to MyTunes! -- Your registration is complete.", 5);
			} else {
				echo "<p><font color=\"red\">There was an error creating your new user account!</font></p>";
			}
		}
		return false;
	}
}

?>
