<?php
/**
 * Defines the HiddenField class.
 * 
 * @package FormLib
 */
  
/**
 * Object oriented wrapper around a hidden HTML text field.
 * 
 * @package FormLib
 * @version 0.3
 * @author Randy L. Pearson
 */
 
class HiddenField extends Field
{
	/**
	 * Constructor
	 * 
	 * Initializes a HiddenField object.
	 * 
	 * @param string $name Name assigned to the field.
	 * @param string $value Value assigned to the field. (Default: "")
	 */
	 public function __construct($name, $value = "")
	 {
	 	parent::__construct($name, "", $value);
	 }
	 
	 /**
	  * Override the display function since we don't want a label.
	  */
	 public function display($formStyle)
	 {
?>
<input type="hidden" name="<?php echo $this->name; ?>" value="<?php echo $this->value; ?>"/>
<?php	
	 }
	 
	 protected function displayField($formStyle)
	 {
	 	// Nothing to do here...
	 }
}

?>
