<?php
/**
 * Defines the RangeValidator class.
 * 
 * @package FormLib
 */
  
/**
 * Tests a field value an ensures it falls in a min/max range of numbers.
 * 
 * @package FormLib
 * @version 0.2
 * @author Randy
 */

class RangeValidator extends Validator
{
	private $minValue, $maxValue;
	
	public function __construct($minValue, $maxValue)
	{
		$this->minValue = $minValue;
		$this->maxValue = $maxValue;
	}
	
	public function isValid(&$field)
	{
		return $field->value >= $this->minValue && $field->value <= $this->maxValue;
	}
	
	public function errorMessage($field)
	{
		return "$field->label must be between $this->minValue and $this->maxValue";
	}
}

?>
