<?php
/**
 * Defines the RegexValidator class.
 * 
 * @package FormLib
 */
  
/**
 * Validates a field using a regular expression.
 * 
 * @package FormLib
 * @version 0.2
 * @author Randy
 */

class RegexValidator extends Validator
{
	private $regex;
	private $description;
	
	public function __construct($regex, $description)
	{
		$this->regex = $regex;
		$this->description = $description;
	}
	
	public function isValid(&$field)
	{
		if( ereg($this->regex, $field->value) )
			return true;
		else
			return false;
	}
	
	public function errorMessage($field)
	{
		return "'$field->value' is not a valid $this->description";
	}
}

?>
