<?php
/*
 * Project: MyTunes
 * File: testdatalib.php
 * Created on Sep 21, 2006
 * Created by Randy
 */
 
require '../config.php';
 
echo "<table border=2>\n";
echo "<tr><th>Function</th><th>Result</th></tr>";
 
echo "<tr><td>execute_sql(\"SELECT COUNT(*) FROM artist\")</td>\n";
$result = execute_sql("SELECT COUNT(*) FROM artist");
echo "<td><pre>";
var_dump($result);
echo "</pre></td>";
echo "</tr>\n";

echo "<tr><td>record_exists(\"artist\", array(\"artist\" => \"Foghat\"))</td>\n";
$result = record_exists("artist", array("artist" => "Foghat"));
echo "<td><pre>";
var_dump($result);
echo "</pre></td>";
echo "</tr>\n";

echo "<tr><td>count_records(\"artist\")</td>\n";
$result = count_records("artist");
echo "<td><pre>";
var_dump($result);
echo "</pre></td>";
echo "</tr>\n";

echo "<tr><td>count_records(\"album\",array(\"album\" => \"Greatest Hits\"))</td>\n";
$result = count_records("album", array("album" => "Greatest Hits"));
echo "<td><pre>";
var_dump($result);
echo "</pre></td>";
echo "</tr>\n";

echo "<tr><td>get_record(\"artist\",\"artist\" => \"Foghat\")</td>\n";
$result = get_record("artist", array("artist" => "Foghat"));
echo "<td><pre>";
var_dump($result);
echo "</pre></td>";
echo "</tr>\n";

$foghatID = $result->artist_id;

echo "<tr><td>get_record(\"album\", array(\"album\" => \"Greatest Hits\"))</td>\n";
$result = get_record("album", array("album" => "Greatest Hits"));
echo "<td><pre>";
var_dump($result);
echo "</pre></td>";
echo "</tr>\n";

echo "<tr><td>get_records(\"album\", array(\"album\" => \"Greatest Hits\"))</td>\n";
$result = get_records("album",array("album" => "Greatest Hits"));
echo "<td><pre>";
var_dump($result);
echo "</pre></td>";
echo "</tr>\n";

echo "<tr><td>get_records(\"album\",array(\"album\" => \"Greatest Hits\"),\"album_id\",\"album_id,album\",5,2)</td>\n";
$result = get_records("album", array("album" => "Greatest Hits"), "album_id", "album_id,album", 5, 2);
echo "<td><pre>";
var_dump($result);
echo "</pre></td>";
echo "</tr>\n";

echo "<tr><td>get_field(\"album\",\"album\",array(\"artist_id\" => \"$foghatID\"))</td>\n";
$result = get_field("album", "album", array("artist_id" => $foghatID));
echo "<td><pre>";
var_dump($result);
echo "</pre></td>";
echo "</tr>\n";

echo "<tr><td>set_field(\"artist\",\"artist\",\"Boghat\",\"artist\",\"Foghat\")</td>\n";
$result = set_field("artist","artist","Boghat",array("artist" => "Foghat"));
echo "<td><pre>";
var_dump($result);
echo "</pre></td>";
// Return 'Foghat' back to 'Foghat'
$result = set_field("artist","artist","Foghat",array("artist" => "Boghat"));
echo "</tr>\n";

echo "<tr><td>delete_records(\"artist\", array(\"artist\" => \"Foghat\"))</td>\n";
$result = delete_records("artist", array("artist" => "Foghat"));
echo "<td><pre>";
var_dump($result);
echo "</pre><br/><b>NOTE:</b> <i>Fails if database enforces referential integrity checks.</i></td>";
echo "</tr>\n";

echo "<tr><td>insert_record(\"artist\",object{artist_id = $foghatID, artist = 'Foghat'},true,\"artist_id\")</td>\n";
$artist = new object;
$artist->artist_id = $foghatID;
$artist->artist = "Foghat";
$result = insert_record("artist",$artist);
echo "<td><pre>";
var_dump($result);
echo "</pre><br/><b>NOTE:</b>  <i>Fails if database has primary key of '$foghatID'.</i></td>";
echo "</tr>\n";

echo "<tr><td>Change 'Foghat' primary genre to 'Boogie Rock'</td>\n";
$row = get_record("artist",array("artist" => "Foghat"));
echo "<td><pre>";
if( !$row ) {
	var_dump($row);
} else {
	$row->primary_genre = "Boogie Rock";
	$result = update_record("artist", $row, "artist_id");
	var_dump($result);
	
	// Restore Foghat to 'Blues Rock' genre
	$row->primary_genre = "Blues Rock";
	update_record("artist", $row, "artist_id");
}
echo "</pre></td>";
echo "</tr>\n";

echo "<tr rowspan=\"2\"><td>execute_sql(\"SELECT CONCAT(artist.artist,' -- ',album.album) AS Album from artist left join album on album.artist_id = artist.artist_id WHERE artist.artist = 'Foghat' ORDER BY album\")</td>\n";
$result = execute_sql("SELECT CONCAT(artist.artist,' -- ',album.album) AS Album from artist left join album on album.artist_id = artist.artist_id WHERE artist.artist = 'Foghat' ORDER BY album", true);
echo "<td><pre>";
var_dump($result);
echo "</pre></td></tr>";
echo "<tr><td>Results:</td><td><pre>";
foreach ($result->fetchAll(PDO::FETCH_OBJ) as $row) {
	if (isset($flag))
		echo "--------\n";
	else
		$flag = 1;
	print_r($row);
}
echo "</pre></td>";
echo "</tr>\n";

echo "</table>\n";

print_footer(); 
 
 
?>
