<?php

require_once 'config.php';

require_login();

print_header("My Tunes - Playlists");

$form = Form::load();
if ($form && $form instanceof NewPlaylistForm) {
	$form->process();
}

// Define number of records per page (or use value set by config.php)
$recs_per_page = nvl($CFG->recsperpage,30);
$curr_page = nvl($_GET['page'], 1);
$first_rec = (($curr_page - 1) * $recs_per_page);

echo "<a href=\"$CFG->wwwroot/logout.php\">Logout</a>\n";

$filter['userid'] = $USER->id;

$total_recs = count_records("playlist", $filter);
if ($first_rec > $total_recs) $first_rec = (($total_recs / $recs_per_page)+1) * $recs_per_page;
$records = get_records("playlist", $filter, "title", "id,title", $first_rec, $recs_per_page);

?>
<br/><br/>
<table border="1">
<tr><th align="center">Playlist Title</th><th>No. of Songs</th><th>Options</th></tr>
<?php
foreach ($records as $rec) {
	$edit_link = "$CFG->wwwroot/editplaylist.php?id=" . $rec->id;
	$delete_link = "$CFG->wwwroot/deleteplaylist.php?id=" . $rec->id;
	$song_count = count_records("playlist_item", array("playlist_id" => $rec->id));
	
	echo "<tr>\n";
	echo "<td align=\"left\">";
	p($rec->title);
	echo "</td>\n";
	echo "<td align=\"right\">$song_count</td>\n";
	echo "<td align=\"right\"><a href=\"$edit_link\">Edit</a>&nbsp;&nbsp;<a href=\"$delete_link\">Delete</a></td>\n";
	echo "</tr>\n";
}

// Calculate and display paging links as needed
if ($total_recs > 0) {
	$pages = ceil($total_recs / $recs_per_page);
	if ($pages > 1) {
		$link = strip_query(me()) . (isset($_GET['letter']) ? "?letter=".$_GET['letter']."&" : "?");
		show_page_links($curr_page, $pages, $link . "page=".($curr_page-1), $link . "page=".($curr_page+1), 3);
	}
}

?>
</table>
<br/><br/>
<?php

$form = new NewPlaylistForm;
$form->display();

print_footer();
?>