<?php
require_once 'config.php';

print_header("My Tunes - Songs");
require_login();

quick_links("song", "song", strip_query(me()));

// Determine what (if any) filters are needed
$filter = "";

if (isset($_GET['letter']))
	$filter["LEFT(song,1)"] = stripslashes(urldecode($_GET['letter']));
if (isset($_GET['artist_id']))
	$filter['artist_id'] = $_GET['artist_id'];
if (isset($_GET['album_id']))
	$filter['album_id'] = $_GET['album_id'];

// Define number of records per page (or use value set by config.php)
$recs_per_page = nvl($CFG->recsperpage,30);
$max_page = ceil(count_records("song", $filter) / $recs_per_page);

$curr_page = nvl($_GET['page'], 1);
$curr_page = ($curr_page < 1 ? 1 : ($curr_page > $max_page ? $max_page : $curr_page));

$first_rec = (($curr_page - 1) * $recs_per_page);
$records = get_records("song", $filter, "song", "artist_id,album_id,song_id,song", $first_rec, $recs_per_page);

// Caches help speed up page generation, but use more memory
$artists = array();
$albums = array();

// Read the user's playlists
$lists = get_records("playlist", array("userid" => $USER->id), "title");

if ($lists) {
?>
<form action="addtoplaylist.php" method="post">
<?php
}
// Output the records in a table now
?>
<br/><br/>
<table border="1">
<tr><th>Artist/Performer</th><th>Album/CD</th><th>Song Title</th>
<?php
if ($lists)
	echo "<th>Select</th>\n";
echo "</tr>\n";

foreach ($records as $rec) {
	
	if (!array_key_exists($rec->artist_id, $artists))
		$artists[$rec->artist_id] = get_record("artist", array("artist_id" => $rec->artist_id));
	if (!array_key_exists($rec->album_id, $albums))
		$albums[$rec->album_id] = get_record("album", array("album_id" => $rec->album_id));
		
	if ($artists[$rec->artist_id])
		$artist = "<a href=\"$CFG->wwwroot/albums.php?artist_id=$rec->artist_id\">" .
				s($artists[$rec->artist_id]->artist) . "</a>";
	else
		$artist = "";
		
	if ($albums[$rec->album_id])
		$album = "<a href=\"$CFG->wwwroot/songs.php?album_id=$rec->album_id\">" .
				s($albums[$rec->album_id]->album) . "</a>";
	else
		$album = "";
?>
<tr>
<td align="left"><?php echo $artist; ?></td>
<td align="left"><?php echo $album; ?></td>
<td align="left"><a href="<?php echo "$CFG->wwwroot/playsong.php?song_id=$rec->song_id"; ?>"><?php p($rec->song); ?></a></td>
<?php
	if ($lists)
		echo "<td><input type=\"checkbox\" name=\"song" . s($rec->song_id) . "\" value=\"1\" /></td>";
	echo "</tr>\n";
}

// Add option to add selected items to a playlist
if ($lists) {
?>
<tr><td align="right" colspan="4">Add selected songs to:
<select name="playlist">
<?php
	foreach ($lists as $list) {
		echo "<option value=\"$list->id\">" . s($list->title) . "</option>\n";	
	}
?>
</select>
<input type="submit" name="btnAddToList" value="Add Songs"/>
</td></tr>
<?php
}

// Calculate and display paging links as needed
if ($max_page > 1) {
	if (isset($_GET['artist_id']))
		$link = strip_query(me()) . "?artist_id=" . $_GET['artist_id'] . "&";
	else if (isset($_GET['album_id']))
		$link = strip_query(me()) . "?album_id=" . $_GET['album_id'] . "&";
	else
		$link = strip_query(me()) . (isset($_GET['letter']) ? "?letter=".$_GET['letter']."&" : "?");
			
	show_page_links($curr_page, $max_page, $link . "page=".($curr_page-1), $link . "page=".($curr_page+1), 4);
}

echo "</table>\n";
if ($lists)
	echo "</form>\n";
print_footer();
?>